From 6a0c29fa06ccb1303f869e24161857e5e4b9bbe2 Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Sat, 2 Aug 2014 19:22:05 +0200
Subject: [PATCH] Don't set Torbutton environment vars globally

---
 config/chroot_local-includes/etc/environment         | 4 ----
 config/chroot_local-includes/usr/local/bin/iceweasel | 4 ++++
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/config/chroot_local-includes/etc/environment b/config/chroot_local-includes/etc/environment
index a503d1e..940df33 100644
--- a/config/chroot_local-includes/etc/environment
+++ b/config/chroot_local-includes/etc/environment
@@ -5,10 +5,6 @@ HTTPS_PROXY=http://127.0.0.1:8118
 SOCKS_SERVER=127.0.0.1:9050
 SOCKS5_SERVER=127.0.0.1:9050
 
-# Torbutton 1.5.1+ uses those environment variables
-TOR_SOCKS_HOST='127.0.0.1'
-TOR_SOCKS_PORT='9151'
-
 # Allow Torbutton access to the control port filter (for new identity).
 # Setting a password is required, otherwise Torbutton attempts to
 # read the authentication cookie file instead, which fails.
diff --git a/config/chroot_local-includes/usr/local/bin/iceweasel b/config/chroot_local-includes/usr/local/bin/iceweasel
index eeeb348..5491c2f 100755
--- a/config/chroot_local-includes/usr/local/bin/iceweasel
+++ b/config/chroot_local-includes/usr/local/bin/iceweasel
@@ -25,5 +25,9 @@ tor_has_bootstrapped() {
 }
 
 if tor_has_bootstrapped || ask_for_confirmation; then
+    # Torbutton 1.5.1+ uses those environment variables
+    export TOR_SOCKS_HOST='127.0.0.1'
+    export TOR_SOCKS_PORT='9151'
+
     exec /usr/bin/iceweasel "$@" &
 fi
-- 
2.0.3

